Você está na página 1de 8

Como instalar o AutoCAD R14 no Windows 7 64 Bits.

Porque o AutoCAR R14?


No h necessidade de um AutoCAD em verso mais nova para trabalhar com desenhos em 2D, o
R14 atende muito bem.
Para quem sabe Lisp, a verso o ideal para costumizar nesta linguagem.
Precisam ver o quanto rpido abrir este programa no Windows XP ou no Windows7 64 Bits,
instantneo. As verses novas uma eternidade para abrir.
Inicialmente precisa copiar toda a pasta do AutoCAD R14, instalado numa verso 32bits,
preferencialmente do Windows XP, contida no C:\Arquivos de Programas\AutoCAD R14 para o
C:\Arquivo de Programas (x86) do Windows 7 64 bits.
Se no tiver um computador com o Windows XP 32bits, veja com um amigo e instale
normalmente o AutoCAD R14 no computador e copie os arquivos que precisa.
Crie um atalho no Desktop do AutoCAD R14 com a linha de comando acad.exe, que est contido
no C:\Arquivo de Programas (x86)\AutoCAD R14\acad.exe
Copiar o arquivo SH31W32.DLL, no arquivo em anexo, para o C:\Arquivo de Programas
(x86)\AutoCAD R14\
Copiar estes dois arquivos no Windows XP,heidi3.dll e gdifont3.hdi, contidos no
C:\Windows\System32\ para o Windows 7 na pasta C:\Windows\System32\
Se ao executar aparecer um janela com Mem Bad Point, faa os seguintes procedimentos:
Dentro do Windows Explorer procure os arquivos C:\Arquivo de Programas (x86)\AutoCAD R14\
acad14.cfg, acadaut.reg,match.arx,sh31w32.dll, abra cada um clicando o mouse com a tecla da
direita e em propriedades e deixe estes arquivos sem ser s para leitura e clique na aba
segurana e libere estes arquivos para terem, controle total, modificar,gravar,permisses para
qualquer usurio.
Os itens Ler e executar,leitura j possuem a permisso, marcados com um tick.
Quando comear o AutoCAD R14, v no Tools em Load Applicarion... que carrege os programas de
lisp (LSP) que esto no C:\Arquivos de Programas (x86)\AutoCAD R14\ Support
Acadr14.lsp - appload.lsp ddchprop.lsp
No C:\Arquivo de Programas (x86)\AutoCAD R14\ procure o match.arx e tambm carrege no Load
Application...
Alguns comandos como o Help,Properties... deixam de funcionar, preciso instalar somente o
AutoCAD R14 num HD que tenha somente o Windows XP para saber quais arquivos tenho que
copiar do C:\Windows\System32 para o Windows 7 C:\Windows\System32. Vou precisar de
pacincia e persistncia para descobrir, vamos ver se animo.
Espero que tenha ajudado.
O frum no permite anexar arquivos com extenso DLL,
para anexar o SH31W32.DLL modificado.
Procurem no Frum da Autodesk sobre o AutoCAD R14, que deve
ter este arquivo disponvel.

O arquivo match.arx, quando se faz esse tipo de instalao ele costuma no auto carregar, para
tanto precisa-se criar um comando no Bloco de Notas.
Comandoacad.rx, dentro dele escreva a seguinte linha "match.arx" e salve e coloque no diretrio
do AutoCAD R14.
Agora o match.arx ir se auto carregar.
Para baixar o arquivo SH31W32.DLL, v neste frum:
http://forums.autodesk.com/t5/AutoCAD-R12-R13-R14-Archive/R14-Windows-Vista/tdp/1892221/page/13
Na resposta do Virflyboy, tem um Attachments: cad files new zip 262kb, com o SH31W32.DLL e os
GDIFONT3.HDI e o HEIDI3.DLL
Se o Help no AutoCAD R14& nao o funcionar instale o Windows6.1-Kb917607-x64.msu para 64
bits ou Windows6.1-kb917607-x86 para 32 bits, no site da Microsoft.
Para o erro de Heap (erro fatal) quando utilizar o comando hachuria ou abrir um arquivo grande,
acrescente no acadr14.lsp a funcao;o (alloc 15000)(expand15),resolve.

rotina de pilar com hachria, com explicaes do que cada linha do programa faz:
Pilar. LSP 08-04-96
Esta rotinha desenha o pilar retangular ou quadrado no layer EST (estrutura) em planta baixa,
sendo dado duas dimenses, e ao mesmo tem faz a hachria de concreto no layer "7", retornando
ao layer inicial.
;;; Ponto e vrgula para inserir comentrios nas linhas de programa.
(defun c:pilar) (/OLDER OLDE OLDL VI V2 VE V4)
:::Define o nome da funo (PILAR) e das variveis locais que so precessidas de uma barra ("/")
(setq OLDER *error*)
(setq *error* erro)
;;;Preserva o ambiente em caso de erro.
(setq OLDE (gervar "cmdecho"))
;;;Memoriza na varivel OLDE o cmdecho atual.
(setvar "cmdecho"0)
;;;No deixa os comandos ecoarem na tela do monitor.
(setq OLDO(getvar "osmode"))
;;;Memoriza na varivel OLDO o OSNAP atual.
(setvar "osmode"32)
;;;Altera o OSNAP para interseo.
(setqv1(getpoint "Indique o vertice inicial:"))
;;;Guarda na varivel v1 o ponto de partida do desenho do Pilar.
(setqv3(getcorner v1 "\Indique as dimenses do pilar (@x,y:))
;;;Guarda na varivel v3, a partir do canto incial as dimenses do Pilar.
;;;comprimento(x) e largura (y).
(setqv2(list(carv3)(cadrv1)))
;;;Memoriza na varivel v2 o primeiro elemento da lista de v3 (X-comprimento do Pilar)
;;;e o segundo elemento da varivel v1(Y).
(setqv4(list(carv1)(cadrv1)))
;;;Memoriza na varivel v4 o primeiro elemento de v1 (x) e o segundo
;;;elemento de v3 (Y-largura do pilar).
(setq OLDL (getvar "clayer"))
::;Guarda na varivel OLDL o layer atual.
(command "layer" "t" "est" "c" "6" "" "")
;;;Altera o layer para est (estrutura) na cor 6 (magenta).

(command "pline" v1 v2 v3 v4 "c")


;;;Desenha atravs de polilinha o pilar unindo os pontos contidos
;;;nas variveis v1 v2 v3 e v4.
(command "hatch" "ar-conc" "0.03" "0" "last" "")
;;; Utiliza do comando Hatcha para apicar hachuria no pilar, do tipo
;;; ar-conc (concreto em corte) na escala de 0.03 que me melhor se adequa
;;;ao sistema de unidades de centmetro.
(command "layer" "s" OLD"l ""
;;;Retorna ao layer incical contido na varivel OLDL.
(setvar "osmode" OLDO)
;;;Retorna ao OSNAP inicial.
(setvar "cmdecho" OLDE)
;;;Retorna o cmdecho inicial da varialvel OLDE.
(setq *ERROR* OLDER)
;;;Em caso de erro retorna o ambiente normal antes de inciar o desenho do pilar.
(princ.)
)
;;;Fim da rotina, prompt nulo.

Rotina de rea.
ATX4.LSP
Fornece a rea de um ambiente, com 4 cantos posicionando o texto no local indicado no desenho,
como altura
da letra e o ngulo de insero no sentido da esquerda para direita.
Em Lisp no se usa assentos os caracteres so ASCII.
(defun c:atxt4 (/P1 P2 P3 P4 INST ALTD ANG)
(setq OLDER * error*)
(setq *error* erro)
(recvar)
(setq OLDE (getvar "cmdecho"))
(setq OLDO (getvar "osmode"))
(setvar "cmedcho" 0)
(setvar "osmode" 32)
(setq OLDL (getvar "clayer"))
(setq OLDT (getvar "textsize"))
(prompt "\nTEXTO HOR: primeiro ponto esq/superior")
(prompt "\nTEXTO VER: primeiro ponto esq/inferior")
(setq P1 (getpoint "\n|Indique o primeiro canto:"))
(command "id"P1)
(setq P2 (getpoint "\nIndique o prximo canto: "))
(command "id"P2)
(setq P3 (getpoint "\nIndique prximo canto: "))
(command "id"P3)
(setq P4 (getpoint "\nIndique o ultimo canto:)
(command "id" P4)
(setq INS (getpoint "\nIndique o ponto central do texto: "))
(if ( + ALTatxt nil)
(setq ALTatxt (getreal "\nIndique altura do texto: "))
(progn
(setq ALTatxt (getreal (strcat "\nIndique altura do texto < "(rtos ALTatxt"> : ")))
(if ( = ALTD nil)
(setq ALTD nil)
(setq ALTatxt ALTD)

)
)
)
(setq ANG (angle p1 p2))
(command "rea" P1 P2 P3 P4 "" )
(setq LAR (strcat " A=" (rtos (getvar "AREA" ) 2 2) "m2"))
(command "layer" "t" "txt" "m" "txt" "c" "3" "" "")
(command "text" "M"INS ALTatxt (rtd ANG) LAR)
(setvar "textsize" OLDT)
(command "layer" "s" OLDL "" )
(setvar "osmode" OLDO)
(setvar "cmdecho" OLDE)
(setq *ERROR* OLDER)
(princ)

1- Para carregar nos CAD 8/9/11... o acad.lsp, digite ACADLSPASDOC = 1


2- Melhorar soluo para o mximo dos desenhos em Perspectivas, aumente o nmero:
FACETRES = 10 (este varivel)
VIEWRES = 20000 (este comando)
3- Alguns cadistas gostam de utilizar a tecla do meio do MOUSE para aparecer alguns
comandos, sendo que o AutoCAD tem alguns j configurados, caso queiram
outros, tero que programar no menu inicial (arquivo *.mnu)
SHORTCUTMENU = 0
MBUTTONPAN = 0